Bug 466278 - move takes too long
move takes too long
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: appliance-tools (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Huff
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-09 11:08 EDT by David Huff
Modified: 2016-04-26 10:06 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-22 11:58:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixed-problem-with-long-move-operations-466278.patch (4.59 KB, application/octet-stream)
2008-10-13 11:28 EDT, David Huff
no flags Details

  None (edit)
Description David Huff 2008-10-09 11:08:44 EDT
Description of problem:

After the appliance is built it is moved to the final location however if its a large image this can take a long time.

current implementation uses shutil.move which "Recursively move a file or directory to another location."

However if the destination is on our current filesystem, we can simply use    rename.


Going to try with:
os.rename(src, dst)
Comment 1 David Huff 2008-10-13 11:28:16 EDT
Created attachment 320194 [details]
fixed-problem-with-long-move-operations-466278.patch
Comment 2 David Huff 2008-10-13 11:30:23 EDT
fixed upstream waiting new build....

commit	fccb880c734c526c4b9732b431649dd1b7c77cea

fixed problem with long move operations (#466278)

 changed code to try to use rename first then shutil, if the file is on the same fs with be alot faster

 also added support for using full path of name as final destination helps when scripting
Comment 3 Fedora Update System 2008-11-10 17:40:16 EST
appliance-tools-003-6.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003-6.fc10
Comment 4 Fedora Update System 2008-11-13 12:29:05 EST
appliance-tools-003.7-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003.7-1.fc10
Comment 5 Fedora Update System 2008-11-18 16:54:57 EST
appliance-tools-003.9-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/appliance-tools-003.9-1.fc10
Comment 6 Fedora Update System 2008-11-22 11:58:28 EST
appliance-tools-003.9-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.